;; Configure emacs packages.
(setq should-install-packages t) ;; Define this before everything to speed up startup.
(require 'package)
(add-to-list 'package-archives '("melpa" . "https://melpa.org/packages/") t)
(package-initialize)

(setq dotfiles-dir
      (file-name-directory
        (or (buffer-file-name) (file-chase-links load-file-name))))

(add-to-list 'load-path (concat dotfiles-dir "modules"))

;; Emacs customization / global plugin configuration
(require 'jenga-company)
(require 'jenga-emacs)
(require 'jenga-evil)
(require 'jenga-helm)
(require 'jenga-magit)
(require 'jenga-org)
(require 'jenga-ui)

;; Custom languages and highlighting
(require 'jenga-elm)
(require 'jenga-rust)
(require 'jenga-systemd)
(require 'jenga-python)

(setq custom-file "~/.emacs.d/custom.el")
(load custom-file)
;; ## added by OPAM user-setup for emacs / base ## 56ab50dc8996d2bb95e7856a6eddb17b ## you can edit, but keep this line
(require 'opam-user-setup "~/.emacs.d/opam-user-setup.el")
;; ## end of OPAM user-setup addition for emacs / base ## keep this line
